QEMU/KVM: unable to find qemu-img

German Forum

Moderator: karlchen

Post Reply
User avatar
kuestenluemmel
Level 1
Level 1
Posts: 1
Joined: Mon Sep 17, 2018 8:43 am
Location: Germany

QEMU/KVM: unable to find qemu-img

Post by kuestenluemmel » Mon Sep 17, 2018 9:08 am

Hallo,
ich habe gestern versucht auf meinem Home-PC (Mint 19 / i7 6700 / 16GB RAM) als VirtualBox Alternative mal QEMU/KVM zu verwenden.
Die Installation hat soweit geklappt, ich konnte auch eine VM anlegen und starten. Jedoch die Snapshot-Funktion wollte absolut nicht.

Nun habe ich das Ganze nochmal auf Arbeit probiert (Mint 19 / i5-4590 CPU @ 3.30GHz / 8GB Ram) und da kommt der selbe Fehler.

Über den Virtual Machine Manager möchte ich ein Snapshot von einer runtergefahrenen TestVM (systemrescue) erstellen:

Code: Select all

Error creating snapshot: internal error: unable to find qemu-img

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 89, in cb_wrapper
    callback(asyncjob, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/snapshots.py", line 503, in _do_create_snapshot
    self.vm.create_snapshot(xml)
  File "/usr/share/virt-manager/virtManager/domain.py", line 1234, in create_snapshot
    self._backend.snapshotCreateXML(xml, flags)
  File "/usr/lib/python2.7/dist-packages/libvirt.py", line 2530, in snapshotCreateXML
    if ret is None:raise libvirtError('virDomainSnapshotCreateXML() failed', dom=self)
libvirtError: internal error: unable to find qemu-img

qemu-img ist aber auf schon dem System (in qemu-utils):

Code: Select all

root@dev26834:~# dpkg -l |grep qemu
ii  ipxe-qemu                                    1.0.0+git-20180124.fbe8c52d-0ubuntu2        all          PXE boot firmware - ROM images for qemu
ii  ipxe-qemu-256k-compat-efi-roms               1.0.0+git-20150424.a25a16d-0ubuntu2         all          PXE boot firmware - Compat EFI ROM images for qemu
ii  qemu-block-extra:amd64                       1:2.11+dfsg-1ubuntu7.5                      amd64        extra block backend modules for qemu-system and qemu-utils
ii  qemu-kvm                                     1:2.11+dfsg-1ubuntu7.5                      amd64        QEMU Full virtualization on x86 hardware
ii  qemu-system-common                           1:2.11+dfsg-1ubuntu7.5                      amd64        QEMU full system emulation binaries (common files)
ii  qemu-system-x86                              1:2.11+dfsg-1ubuntu7.5                      amd64        QEMU full system emulation binaries (x86)
ii  qemu-utils                                   1:2.11+dfsg-1ubuntu7.5                      amd64        QEMU utilities
s  

Code: Select all

root@dev26834:~# apt install qemu-utils
Reading package lists... Done
Building dependency tree       
Reading state information... Done
qemu-utils is already the newest version (1:2.11+dfsg-1ubuntu7.5).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Code: Select all

 apt-cache show qemu-utils
Package: qemu-utils

[...]

 This package provides QEMU related utilities:
  * qemu-img: QEMU disk image utility
  * qemu-io:  QEMU disk exerciser
  * qemu-nbd: QEMU disk network block device server
Über Google und auch hier über die Suchfunktion finde ich leider niemanden der ein ähnliches Problem hat. -_-
Hat evtl jemand eine Idee?

Vielen Dank schon mal im Voraus ! :)

Post Reply

Return to “Deutsch (German)”